<?php

if (!defined('BASEPATH'))
    exit('No direct script access allowed');

class index extends CI_Controller {
	function __construct() {
        parent::__construct();
    }
	
	public function homepage(){
		$this->load->view('bootstrap3/header');
		$this->load->view('homepage');
		$this->load->view('bootstrap3/footer');
	}
	
	public function search_error_urls(){
		$sitecode = $this->input->get_post('sitecode');
		$errorurl = $this->input->get_post('errorurl');
		
		if(empty($sitecode) && empty($errorurl)){
			echo '请选择站点或填写url';
		}else{
			//查询url
			$this->load->model('infos_model');
			$pages = $this->infos_model->get_errorurls_pages($sitecode,$errorurl);
			print_r(json_encode($pages));
		}
	}
	
	public function search_empty_amp(){
		$sitecode = $this->input->get_post('sitecode');
		if(empty($sitecode) && empty($errorurl)){
			echo '请选择站点或填写url';
		}else{
			//查询url
			$this->load->model('infos_model');
			$pages = $this->infos_model->get_emptyamp_pages($sitecode);
			print_r(json_encode($pages));
		}
	}
}